import { Application } from "express";
import expressLoader from "./express";
import openapiLoader from "./openapi";

/**
 * Index Loader that executes the other loaders in the right order.
 * This basicly exists for abstraction and a overall better dev experience.
 */
export default async (app: Application) => {
    await openapiLoader(app);
    await expressLoader(app);
    return app;
};
